Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.jlink
Class JlinkTask

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.MatchingTask
                  |
                  +--org.apache.tools.ant.taskdefs.optional.jlink.JlinkTask

public class JlinkTask
extends MatchingTask

This class defines objects that can link together various jar and zip files.

It is basically a wrapper for the jlink code written originally by Patrick Beard. The classes org.apache.tools.ant.taskdefs.optional.jlink.Jlink and org.apache.tools.ant.taskdefs.optional.jlink.ClassNameReader support this class.

For example: ``

     <jlink compress="false" outfile="out.jar"/>
       <mergefiles>
         <pathelement path="${build.dir}/mergefoo.jar"/>
         <pathelement path="${build.dir}/mergebar.jar"/>
       </mergefiles>
       <addfiles>
         <pathelement path="${build.dir}/mac.jar"/>
         <pathelement path="${build.dir}/pc.zip"/>
       </addfiles>
     </jlink>

Author:
  Matthew Kuperus Heun

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`JlinkTask()`

Method Summary
`Path` | `createAddfiles()` Establishes the object that contains the files to be added to the output.
`Path` | `createMergefiles()` Establishes the object that contains the files to be merged into the output.
`void` | `execute()` Does the adding and merging.
`void` | `setAddfiles(Path addfiles)` Sets the files to be added into the output.
`void` | `setCompress(boolean compress)` Defines whether or not the output should be compacted.
`void` | `setMergefiles(Path mergefiles)` Sets the files to be merged into the output.
`void` | `setOutfile(java.io.File outfile)` The output file for this run of jlink.

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`createExclude, createInclude, createPatternSet, getDirectoryScanner, setDefaultexcludes, setExcludes, setExcludesfile, setIncludes, setIncludesfile, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JlinkTask

    public JlinkTask()

Method Detail

### setOutfile

    public void setOutfile(java.io.File outfile)

  The output file for this run of jlink. Usually a jar or zip file.

### createMergefiles

    public Path createMergefiles()

  Establishes the object that contains the files to be merged into the output.

### setMergefiles

    public void setMergefiles(Path mergefiles)

  Sets the files to be merged into the output.

### createAddfiles

    public Path createAddfiles()

  Establishes the object that contains the files to be added to the output.

### setAddfiles

    public void setAddfiles(Path addfiles)

  Sets the files to be added into the output.

### setCompress

    public void setCompress(boolean compress)

  Defines whether or not the output should be compacted.

### execute

    public void execute()
                 throws BuildException

  Does the adding and merging.
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.